# Uses of Class
org.apache.datasketches.quantiles.DoublesSketch

Packages that use DoublesSketch
Package
Description
org.apache.datasketches.quantiles
The quantiles package contains stochastic streaming algorithms that enable single-pass analysis of the distribution of a stream of quantiles.

## Uses of DoublesSketch in org.apache.datasketches.quantiles

Subclasses of DoublesSketch in org.apache.datasketches.quantiles
Modifier and Type
Class
Description
`class`
`CompactDoublesSketch`
Compact sketches are inherently read only.
`class`
`UpdateDoublesSketch`
Methods in org.apache.datasketches.quantiles that return DoublesSketch
Modifier and Type
Method
Description
`DoublesSketch`
DoublesSketch.`downSample(DoublesSketch srcSketch, int smallerK, org.apache.datasketches.memory.WritableMemory dstMem)`
From an source sketch, create a new sketch that must have a smaller K.
`static DoublesSketch`
DoublesSketch.`heapify(org.apache.datasketches.memory.Memory srcMem)`
Heapify takes the sketch image in Memory and instantiates an on-heap Sketch.
`static DoublesSketch`
DoublesSketch.`wrap(org.apache.datasketches.memory.Memory srcMem)`
Wrap this sketch around the given Memory image of a DoublesSketch, compact or updatable.
Methods in org.apache.datasketches.quantiles with parameters of type DoublesSketch
Modifier and Type
Method
Description
`DoublesSketch`
DoublesSketch.`downSample(DoublesSketch srcSketch, int smallerK, org.apache.datasketches.memory.WritableMemory dstMem)`
From an source sketch, create a new sketch that must have a smaller K.
`static DoublesUnion`
DoublesUnion.`heapify(DoublesSketch sketch)`
Returns a Heap Union object that has been initialized with the data from the given sketch.
`abstract void`
DoublesUnion.`union(DoublesSketch sketchIn)`
Iterative union operation, which means this method can be repeatedly called.